Open Source Social Network [8.1]
======================================
[![Open Source Love](https://badges.frapsoft.com/os/v2/open-source.svg?v=102)](https://www.opensource-socialnetwork.org/)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://www.opensource-socialnetwork.org/)
[![Download Latest](https://img.shields.io/badge/Download-Latest%20Version-blue.svg)](https://www.opensource-socialnetwork.org/download)

[![DeepScan grade](https://deepscan.io/api/teams/4774/projects/6525/branches/747601/badge/grade.svg)](https://deepscan.io/dashboard#view=project&tid=4774&pid=6525&bid=747601)
[![Codacy Badge](https://app.codacy.com/project/badge/Grade/88c6ef38f593440cafe7ba350e592649)](https://app.codacy.com/gh/opensource-socialnetwork/opensource-socialnetwork/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade)

Opensource-Socialnetwork (OSSN) is a social networking software written in PHP. It allows you to make a social networking website and helps your members build social relationships, with people who share similar professional or personal interests. It is available in 20 international languages.

OSSN Licensed under the ***Open Source Social Network License (4.0) / Cryptographic Autonomy License version 1.0***

Kernighan & Ritchie (K&R Variant 1TBS) indentation standard is used for the OSSN. For coding standards you may see [following](https://github.com/opensource-socialnetwork/opensource-socialnetwork/wiki/Coding-Standards)

- Copyright (C) ENGR. SYED ARSALAN HUSSAIN SHAH <arsalan@buddyexpress.net>, <email@arsalanshah.com>,
- Copyright (C) OPEN SOURCE SOCIAL NETWORK <https://www.opensource-socialnetwork.org>,
- Copyright (C) OPEN TEKNIK LLC <https://www.openteknik.com>,
- Copyright (C) OPENHOST247 LLC <https://www.openhost247.com>,
- Copyright (C) 2015-2021 SOFTLAB24 LTD <https://www.softlab24.com>
- Copyright (C) 2014-2015 INFORMATIKON TECHNOLOGIES <https://www.informatikon.com>

| Landing Page | Newsfeed | Profile Page |
|:-------------------------:|:-------------------------:|:-------------------------:|
|<img width="665" alt="open source social network landing page" src="https://www.opensource-socialnetwork.org/themes/default/images/s1.png">| <img width="665" alt="open source social network newsfeed" src="https://www.opensource-socialnetwork.org/themes/default/images/s5.52.png?ossn_cache=c0ddf768"> | <img width="665" alt="open source social network profile page" src="https://www.opensource-socialnetwork.org/themes/default/images/s2.png?ossn_cache=c0ddf768">|

Visit https://www.opensource-socialnetwork.org/ for more details 


Languages
==========

|  |  |  |
|:-------------------------:|:-------------------------:|:-------------------------:|
| English |German | Romanian | 
| French | Portuguese | Turkish |
| Spanish | Italian | Russian | 
| Dutch | Hebrew | Greek |
| Esperanto | Japanese | Indonesian |
| Traditional Chinese | Korean | Hungarian |
| Sinhala | Persian  |

Front-End Features
===================

| Feature | Feature |  Feature |  
|:-------------------------:|:-------------------------:|:-------------------------:|
| User Registration  | User Login | Profile |
| Profile Cover | Profile Photo | Profile Friends | 
| Friends Management | Live Chat | Messaging | 
| Wall Posts | Albums | Photos | Ads | 
| Groups | Friends Tagging | Block System | 
| Poke System | Comments | Likes and Reactions |
| Expense Mangement | Giphy Integeration in Comments |  Invite Friends | 
| Embed Videos | Smiles & Emojis | Site Pages (Terms, about, privacy) |
| Mobile Responsive |  Notifications | Search | 
| Gallery | Post Background | Realtime Comments | 
| Realtime Messages | Blogs | Themes on community |
| Mentions in comments | Custom Pages | Custom Menu Items |
| Captcha | Site Announcements | Greetings | 
| Login as | Progressive Web App | Microsoft Active Directory Login |
| Giphy Integeration | Many free components of community website |

Backend Features
=================

* Admin Dashboard for site overview
* Online users count, gender based graph
* Total site users count (by months) graph
* Component configurations 
* Add User
* Remove User
* Edit User
* Ads Manager
* Cache Settings
* Basic Settings
* Unvalidated users
* Custom pages
* Menu Builder
* Themes management
* Components Management
* WebServices API
* Manually validate unvalidated users
* and much more components settings

Prerequisite
=============

https://www.opensource-socialnetwork.org/wiki/view/706/how-to-install-open-source-social-network

Directory Permissions
============
OSSN must be installed into a directory writable by the webserver, or it will not function properly. For most Linux servers running Apache v2, making the parent directory writable is very simple:

```
chgrp www-data /path/to/ossn_parent_directory
chmod g+w /path/to/ossn_parent_directory
``` 

If you are not running Apache v2 or are using a different type of webserver, you'll need to read your system's documentation or speak to your server administrator before proceeding.

Installation
============
https://www.opensource-socialnetwork.org/wiki/view/706/how-to-install-open-source-social-network

- Web Installer https://www.opensource-socialnetwork.org/download
- VM Image - https://www.opensource-socialnetwork.org/download-vm-image

Installation on Ubuntu x64 18.04/20.04/21.04 LTS
```
sudo add-apt-repository ppa:arsalanshah/opensource-socialnetwork
sudo apt-get update
sudo apt-get install opensource-socialnetwork
```
DEMO
====
http://demo.opensource-socialnetwork.org/

UPGRADE
========
https://www.opensource-socialnetwork.org/wiki/view/708/how-to-upgrade-ossn
